BSDK.NET - BlomURBEX 3D Data Provider Software Development Kit

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Properties
BSDKW::BEventViewer Class Reference

Abstract class that lets SDK use the client application logging system. More...

List of all members.

## Public Types
Event levels and codes
enum | BLeventtype { BL_EVENT_TYPE_TRACE_DEBUG = NatBEventViewer.BLeventtype.BL_EVENT_TYPE_TRACE_DEBUG, BL_EVENT_TYPE_TRACE_INFO = NatBEventViewer.BLeventtype.BL_EVENT_TYPE_TRACE_INFO, BL_EVENT_TYPE_TRACE_WARN = NatBEventViewer.BLeventtype.BL_EVENT_TYPE_TRACE_WARN, BL_EVENT_TYPE_TRACE_ERROR = NatBEventViewer.BLeventtype.BL_EVENT_TYPE_TRACE_ERROR, BL_EVENT_TYPE_IO_EXCEPTION = NatBEventViewer.BLeventtype.BL_EVENT_TYPE_IO_EXCEPTION }
| Identify event type-importance levels. More...
enum | BLeventcode { BL_EVENT_CODE_GENERIC = NatBEventViewer.BLeventcode.BL_EVENT_CODE_GENERIC, BL_EVENT_CODE_IO_CONNECTION_FAILED = NatBEventViewer.BLeventcode.BL_EVENT_CODE_IO_CONNECTION_FAILED, BL_EVENT_CODE_IO_CONNECTION_RESTABLISHED = NatBEventViewer.BLeventcode.BL_EVENT_CODE_IO_CONNECTION_RESTABLISHED }
| Identify event details codes. More...
## Public Member Functions
delegate void | NotifyEventDelegate (BLeventtype eventType, BLeventcode eventCode, string message)
| Traces a message to logger.
delegate bool | EventTypeEnabledFilterDelegate (BLeventtype eventType)
| Returns whether logging level is enabled.
## Properties
static EventTypeEnabledFilterDelegate | EventTypeEnabledFilter`[set]`
static NotifyEventDelegate | NotifyEvent`[set]`

## Detailed Description

Abstract class that lets SDK use the client application logging system.

See also:
  Initialize

## Member Enumeration Documentation

enum BSDKW::BEventViewer::BLeventcode

Identify event details codes.

See also:
  BSDKW::BEventViewer

Enumerator:

  BL_EVENT_CODE_GENERIC |
  BL_EVENT_CODE_IO_CONNECTION_FAILED |
  BL_EVENT_CODE_IO_CONNECTION_RESTABLISHED |

enum BSDKW::BEventViewer::BLeventtype

Identify event type-importance levels.

See also:
  BSDKW::BEventViewer

Enumerator:

  BL_EVENT_TYPE_TRACE_DEBUG |
  BL_EVENT_TYPE_TRACE_INFO |
  BL_EVENT_TYPE_TRACE_WARN |
  BL_EVENT_TYPE_TRACE_ERROR |
  BL_EVENT_TYPE_IO_EXCEPTION |

## Member Function Documentation

delegate bool BSDKW::BEventViewer::EventTypeEnabledFilterDelegate | ( | BLeventtype | eventType | ) |

Returns whether logging level is enabled.

This method should return VERY QUICK in order to not penalize performance

Parameters:

  eventType | Event type to test: BEventViewer::BLeventtype::BL_EVENT_TYPE_TRACE_DEBUG, BEventViewer::BLeventtype::BL_EVENT_TYPE_TRACE_INFO, BEventViewer::BLeventtype::BL_EVENT_TYPE_TRACE_WARN, BEventViewer::BLeventtype::BL_EVENT_TYPE_TRACE_ERROR or BEventViewer::BLeventtype::BL_EVENT_TYPE_IO_EXCEPTION

Returns:
  Whether logging type is enabled

delegate void BSDKW::BEventViewer::NotifyEventDelegate | ( | BLeventtype | eventType,
|  | BLeventcode | eventCode,
|  | string | message
| ) |  |

Traces a message to logger.

Parameters:

  eventType | Event type: BEventViewer::BLeventtype::BL_EVENT_TYPE_TRACE_DEBUG, BEventViewer::BLeventtype::BL_EVENT_TYPE_TRACE_INFO, BEventViewer::BLeventtype::BL_EVENT_TYPE_TRACE_WARN, BEventViewer::BLeventtype::BL_EVENT_TYPE_TRACE_ERROR or BEventViewer::BLeventtype::BL_EVENT_TYPE_IO_EXCEPTION
  eventCode | Event code: BEventViewer::BLeventtype::BL_EVENT_CODE_GENERIC, BEventViewer::BLeventtype::BL_EVENT_CODE_CONNECTION_FAILED, BEventViewer::BLeventtype::BL_EVENT_CODE_CONNECTION_RESTABLISHED
  message | Message description in natural English language

## Property Documentation

EventTypeEnabledFilterDelegate BSDKW::BEventViewer::EventTypeEnabledFilter`[static, set]`

NotifyEventDelegate BSDKW::BEventViewer::NotifyEvent`[static, set]`

The documentation for this class was generated from the following file:

- BSDK.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events